Configure IP Library Drives
Configures the detected drives for an IP Library and returns any drives that were skipped along with reasons.
Path Parameters
- libraryId int64 required
ID of the Library
- application/json
Request Body required
Request payload to configure IP Library drives
driveInfoList object[] required
Vendor string requiredDrive vendor name
Model string requiredDrive model name
FirmWare stringFirmware version
SerialNumber string requiredDrive serial number
ScsiAddress stringSCSI address of the drive
ScsiAccessPath stringSCSI access path
DriveId string requiredUnique drive identifier
DetectedMediaAgent string requiredMedia agent where the drive was detected
- 200
- 400
- 403
- 500
IP Library drives configured successfully
- application/json
- Schema
- Example (from schema)
Schema
library object
id int32name stringconfiguredDriveInfoList object[]
List of drives successfully configured for the IP Library
Vendor stringDrive vendor name
Model stringDrive model name
FirmWare stringFirmware version
SerialNumber stringDrive serial number
ScsiAddress stringSCSI address of the drive
ScsiAccessPath stringSCSI access path
DriveId stringUnique drive identifier
DetectedMediaAgent stringMedia agent where the drive was detected
skippedDriveInfoList object[]
List of drives that were skipped during configuration
driveInfo object
Vendor stringDrive vendor name
Model stringDrive model name
FirmWare stringFirmware version
SerialNumber stringDrive serial number
ScsiAddress stringSCSI address of the drive
ScsiAccessPath stringSCSI access path
DriveId stringUnique drive identifier
DetectedMediaAgent stringMedia agent where the drive was detected
reason stringReason why the drive was skipped
error object
errorMessage stringerrorCode int32
{
"library": {
"id": 0,
"name": "string"
},
"configuredDriveInfoList": [
{
"Vendor": "string",
"Model": "string",
"FirmWare": "string",
"SerialNumber": "string",
"ScsiAddress": "string",
"ScsiAccessPath": "string",
"DriveId": "string",
"DetectedMediaAgent": "string"
}
],
"skippedDriveInfoList": [
{
"driveInfo": {
"Vendor": "string",
"Model": "string",
"FirmWare": "string",
"SerialNumber": "string",
"ScsiAddress": "string",
"ScsiAccessPath": "string",
"DriveId": "string",
"DetectedMediaAgent": "string"
},
"reason": "string"
}
],
"error": {
"errorMessage": "string",
"errorCode": 0
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden – user does not have the required permission to configure IP Library drives
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal server error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}